# You are encouraged to create more restricted role, tailored to your GitOps needs.
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: gitlab-agent-gitops-read-all
rules:
  - resources:
      - '*'
    apiGroups:
      - '*'
    verbs:
      - get
      - list
      - watch
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: gitlab-agent-gitops-read-all
roleRef:
  name: gitlab-agent-gitops-read-all
  kind: ClusterRole
  apiGroup: rbac.authorization.k8s.io
subjects:
  - name: gitlab-agent
    kind: ServiceAccount
